{{- if .Values.cronEnabled -}}
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "alma-apbatch.fullname" . }}-cron
  labels:
{{ include "alma-apbatch.labels" . | indent 4 }}
spec:
  schedule: {{ .Values.schedule | quote }}
  successfulJobsHistoryLimit: {{ .Values.successfulJobsHistoryLimit }}
  failedJobsHistoryLimit: {{ .Values.failedJobsHistoryLimit }}
  jobTemplate:
    spec:
      backoffLimit: {{ .Values.backoffLimit }}
      template:
        metadata:
          labels:
            app.kubernetes.io/name: {{ include "alma-apbatch.name" . }}-cron
            app.kubernetes.io/instance: {{ .Release.Name }}-cron
        spec:
          serviceAccountName: {{ template "alma-apbatch.serviceAccountName" . }}
          containers:
          - name: {{ .Chart.Name }}-cron
            image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
            imagePullPolicy: {{ .Values.image.pullPolicy }}
            envFrom:
              - secretRef:
                  name: apbatch
              - configMapRef:
                  name: {{ include "alma-apbatch.fullname" .}}
          restartPolicy: Never
{{- end -}}
